# QFileOpenEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QFileOpenEvent(String file)
- void QFileOpenEvent(QUrl url)

### Constructor Properties

- prototype: The QFileOpenEvent prototype object

### Prototype Object Properties

The QFileOpenEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- String file()
- QUrl url()

### Instance Properties

QFileOpenEvent objects have no special properties beyond those inherited from the QFileOpenEvent prototype object.